- Main Page
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Defines | Typedefs | Functions

# fbxtypes.h File Reference

This reference page is linked to from the following overview topics: FBX SDK 2013, FBX Properties, Connections, Transformation Data, Lights, Evaluating the animation in a scene, List of Python Fbx classes.

Basic types definition. More...

`#include <fbxsdk/core/arch/fbxarch.h>`
`#include <fbxsdk/fbxsdk_nsbegin.h>`
`#include <fbxsdk/fbxsdk_nsend.h>`

Go to the source code of this file.

## Classes
class | FbxVectorTemplate2< T >
class | FbxVectorTemplate3< T >
class | FbxVectorTemplate4< T >
## Defines
#define | FBXSDK_LONGLONG(x) (x##LL)
#define | FBXSDK_ULONGLONG(x) (x##ULL)
#define | FBXSDK_CHAR_MIN -128
#define | FBXSDK_CHAR_MAX 127
#define | FBXSDK_UCHAR_MIN 0
#define | FBXSDK_UCHAR_MAX 255
#define | FBXSDK_SHORT_MIN -32768
#define | FBXSDK_SHORT_MAX 32767
#define | FBXSDK_USHORT_MIN 0
#define | FBXSDK_USHORT_MAX 65535
#define | FBXSDK_INT_MIN 0x80000000
#define | FBXSDK_INT_MAX 0x7fffffff
#define | FBXSDK_UINT_MIN 0
#define | FBXSDK_UINT_MAX 0xffffffff
#define | FBXSDK_LONG_MIN FBXSDK_INT_MIN
#define | FBXSDK_LONG_MAX FBXSDK_INT_MAX
#define | FBXSDK_ULONG_MIN FBXSDK_UINT_MIN
#define | FBXSDK_ULONG_MAX FBXSDK_UINT_MAX
#define | FBXSDK_LONGLONG_MIN FBXSDK_LONGLONG(0x8000000000000000)
#define | FBXSDK_LONGLONG_MAX FBXSDK_LONGLONG(0x7fffffffffffffff)
#define | FBXSDK_ULONGLONG_MIN FBXSDK_ULONGLONG(0)
#define | FBXSDK_ULONGLONG_MAX FBXSDK_ULONGLONG(0xffffffffffffffff)
#define | FBXSDK_FLOAT_MIN FLT_MIN
#define | FBXSDK_FLOAT_MAX FLT_MAX
#define | FBXSDK_FLOAT_EPSILON FLT_EPSILON
#define | FBXSDK_DOUBLE_MIN DBL_MIN
#define | FBXSDK_DOUBLE_MAX DBL_MAX
#define | FBXSDK_DOUBLE_EPSILON DBL_EPSILON
#define | FBXSDK_TOLERANCE (1.0e-6)
## Typedefs
typedef bool | FbxBool
typedef signed char | FbxChar
typedef unsigned char | FbxUChar
typedef signed short | FbxShort
typedef unsigned short | FbxUShort
typedef signed int | FbxInt
typedef unsigned int | FbxUInt
typedef float | FbxFloat
typedef double | FbxDouble
typedef FbxBool * | FbxBoolPtr
typedef FbxChar * | FbxCharPtr
typedef FbxUChar * | FbxUCharPtr
typedef FbxShort * | FbxShortPtr
typedef FbxUShort * | FbxUShortPtr
typedef FbxInt * | FbxIntPtr
typedef FbxUInt * | FbxUIntPtr
typedef FbxFloat * | FbxFloatPtr
typedef FbxDouble * | FbxDoublePtr
typedef FbxInt | FbxEnum
typedef void * | FbxReference
typedef signed char | FbxInt8
typedef unsigned char | FbxUInt8
typedef signed short | FbxInt16
typedef unsigned short | FbxUInt16
typedef signed int | FbxInt32
typedef unsigned int | FbxUInt32
typedef signed long long | FbxInt64
typedef unsigned long long | FbxUInt64
typedef signed long | FbxLong
typedef unsigned long | FbxULong
typedef FbxInt64 | FbxLongLong
typedef FbxUInt64 | FbxULongLong
typedef FbxLong * | FbxLongPtr
typedef FbxULong * | FbxULongPtr
typedef FbxLongLong * | FbxLongLongPtr
typedef FbxULongLong * | FbxULongLongPtr
typedef FbxVectorTemplate2 < FbxDouble > | FbxDouble2
typedef FbxVectorTemplate3 < FbxDouble > | FbxDouble3
typedef FbxVectorTemplate4 < FbxDouble > | FbxDouble4
typedef FbxVectorTemplate4 < FbxDouble4 > | FbxDouble4x4
## Functions
const FbxChar | FbxMin (const FbxChar &)
const FbxUChar | FbxMin (const FbxUChar &)
const FbxShort | FbxMin (const FbxShort &)
const FbxUShort | FbxMin (const FbxUShort &)
const FbxInt | FbxMin (const FbxInt &)
const FbxUInt | FbxMin (const FbxUInt &)
const FbxLongLong | FbxMin (const FbxLongLong &)
const FbxULongLong | FbxMin (const FbxULongLong &)
const FbxFloat | FbxMin (const FbxFloat &)
const FbxDouble | FbxMin (const FbxDouble &)
const FbxChar | FbxMax (const FbxChar &)
const FbxUChar | FbxMax (const FbxUChar &)
const FbxShort | FbxMax (const FbxShort &)
const FbxUShort | FbxMax (const FbxUShort &)
const FbxInt | FbxMax (const FbxInt &)
const FbxUInt | FbxMax (const FbxUInt &)
const FbxLongLong | FbxMax (const FbxLongLong &)
const FbxULongLong | FbxMax (const FbxULongLong &)
const FbxFloat | FbxMax (const FbxFloat &)
const FbxDouble | FbxMax (const FbxDouble &)
const FbxLong | FbxMin (const FbxLong &)
const FbxULong | FbxMin (const FbxULong &)
const FbxLong | FbxMax (const FbxLong &)
const FbxULong | FbxMax (const FbxULong &)
template<class T >
const T | FbxMin (const T &)
template<class T >
const T | FbxMax (const T &)
template<class T >
const T | FbxMin (const T &x, const T &y)
template<class T >
const T | FbxMax (const T &x, const T &y)

## Detailed Description

Basic types definition.

Standard basic types used across the FBX SDK. There is also platform independent definitions that guarantee size across operating systems. The FBXSDK_SYSTEM_IS_LP64 define is set to 1 when the operating system defines the "long" C++ type as 64-bit.

Definition in file fbxtypes.h.

## Define Documentation

#define FBXSDK_LONGLONG | ( |  | x | ) | (x##LL)

Search for all occurrences

Definition at line 70 of file fbxtypes.h.

#define FBXSDK_ULONGLONG | ( |  | x | ) | (x##ULL)

Search for all occurrences

Definition at line 71 of file fbxtypes.h.

#define FBXSDK_CHAR_MIN -128

Search for all occurrences

Definition at line 100 of file fbxtypes.h.

#define FBXSDK_CHAR_MAX 127

Search for all occurrences

Definition at line 101 of file fbxtypes.h.

#define FBXSDK_UCHAR_MIN 0

Search for all occurrences

Definition at line 102 of file fbxtypes.h.

#define FBXSDK_UCHAR_MAX 255

Search for all occurrences

Definition at line 103 of file fbxtypes.h.

#define FBXSDK_SHORT_MIN -32768

Search for all occurrences

Definition at line 104 of file fbxtypes.h.

#define FBXSDK_SHORT_MAX 32767

Search for all occurrences

Definition at line 105 of file fbxtypes.h.

#define FBXSDK_USHORT_MIN 0

Search for all occurrences

Definition at line 106 of file fbxtypes.h.

#define FBXSDK_USHORT_MAX 65535

Search for all occurrences

Definition at line 107 of file fbxtypes.h.

#define FBXSDK_INT_MIN 0x80000000

Search for all occurrences

Definition at line 108 of file fbxtypes.h.

#define FBXSDK_INT_MAX 0x7fffffff

Search for all occurrences

Definition at line 109 of file fbxtypes.h.

#define FBXSDK_UINT_MIN 0

Search for all occurrences

Definition at line 110 of file fbxtypes.h.

#define FBXSDK_UINT_MAX 0xffffffff

Search for all occurrences

Definition at line 111 of file fbxtypes.h.

#define FBXSDK_LONG_MIN FBXSDK_INT_MIN

Search for all occurrences

Definition at line 112 of file fbxtypes.h.

#define FBXSDK_LONG_MAX FBXSDK_INT_MAX

Search for all occurrences

Definition at line 113 of file fbxtypes.h.

#define FBXSDK_ULONG_MIN FBXSDK_UINT_MIN

Search for all occurrences

Definition at line 114 of file fbxtypes.h.

#define FBXSDK_ULONG_MAX FBXSDK_UINT_MAX

Search for all occurrences

Definition at line 115 of file fbxtypes.h.

#define FBXSDK_LONGLONG_MIN FBXSDK_LONGLONG(0x8000000000000000)

Search for all occurrences

Definition at line 116 of file fbxtypes.h.

#define FBXSDK_LONGLONG_MAX FBXSDK_LONGLONG(0x7fffffffffffffff)

Search for all occurrences

Definition at line 117 of file fbxtypes.h.

#define FBXSDK_ULONGLONG_MIN FBXSDK_ULONGLONG(0)

Search for all occurrences

Definition at line 118 of file fbxtypes.h.

#define FBXSDK_ULONGLONG_MAX FBXSDK_ULONGLONG(0xffffffffffffffff)

Search for all occurrences

Definition at line 119 of file fbxtypes.h.

#define FBXSDK_FLOAT_MIN FLT_MIN

Search for all occurrences

Definition at line 120 of file fbxtypes.h.

#define FBXSDK_FLOAT_MAX FLT_MAX

Search for all occurrences

Definition at line 121 of file fbxtypes.h.

#define FBXSDK_FLOAT_EPSILON FLT_EPSILON

Search for all occurrences

Definition at line 122 of file fbxtypes.h.

#define FBXSDK_DOUBLE_MIN DBL_MIN

Search for all occurrences

Definition at line 123 of file fbxtypes.h.

#define FBXSDK_DOUBLE_MAX DBL_MAX

Search for all occurrences

Definition at line 124 of file fbxtypes.h.

#define FBXSDK_DOUBLE_EPSILON DBL_EPSILON

Search for all occurrences

Definition at line 125 of file fbxtypes.h.

#define FBXSDK_TOLERANCE (1.0e-6)

Search for all occurrences

Definition at line 126 of file fbxtypes.h.

## Typedef Documentation

typedef bool FbxBool

Search for all occurrences

Definition at line 32 of file fbxtypes.h.

typedef signed char FbxChar

Search for all occurrences

Definition at line 33 of file fbxtypes.h.

typedef unsigned char FbxUChar

Search for all occurrences

Definition at line 34 of file fbxtypes.h.

typedef signed short FbxShort

Search for all occurrences

Definition at line 35 of file fbxtypes.h.

typedef unsigned short FbxUShort

Search for all occurrences

Examples:
  ImportScene/DisplayAnimation.cxx.

Definition at line 36 of file fbxtypes.h.

typedef signed int FbxInt

Search for all occurrences

Definition at line 37 of file fbxtypes.h.

typedef unsigned int FbxUInt

Search for all occurrences

Definition at line 38 of file fbxtypes.h.

typedef float FbxFloat

Search for all occurrences

Definition at line 39 of file fbxtypes.h.

typedef double FbxDouble

Search for all occurrences

Definition at line 40 of file fbxtypes.h.

typedef FbxBool* FbxBoolPtr

Search for all occurrences

Definition at line 42 of file fbxtypes.h.

typedef FbxChar* FbxCharPtr

Search for all occurrences

Definition at line 43 of file fbxtypes.h.

typedef FbxUChar* FbxUCharPtr

Search for all occurrences

Definition at line 44 of file fbxtypes.h.

typedef FbxShort* FbxShortPtr

Search for all occurrences

Definition at line 45 of file fbxtypes.h.

typedef FbxUShort* FbxUShortPtr

Search for all occurrences

Definition at line 46 of file fbxtypes.h.

typedef FbxInt* FbxIntPtr

Search for all occurrences

Definition at line 47 of file fbxtypes.h.

typedef FbxUInt* FbxUIntPtr

Search for all occurrences

Definition at line 48 of file fbxtypes.h.

typedef FbxFloat* FbxFloatPtr

Search for all occurrences

Definition at line 49 of file fbxtypes.h.

typedef FbxDouble* FbxDoublePtr

Search for all occurrences

Definition at line 50 of file fbxtypes.h.

typedef FbxInt FbxEnum

Search for all occurrences

Definition at line 52 of file fbxtypes.h.

typedef void* FbxReference

Search for all occurrences

Definition at line 53 of file fbxtypes.h.

typedef signed char FbxInt8

Search for all occurrences

Definition at line 73 of file fbxtypes.h.

typedef unsigned char FbxUInt8

Search for all occurrences

Definition at line 74 of file fbxtypes.h.

typedef signed short FbxInt16

Search for all occurrences

Definition at line 75 of file fbxtypes.h.

typedef unsigned short FbxUInt16

Search for all occurrences

Definition at line 76 of file fbxtypes.h.

typedef signed int FbxInt32

Search for all occurrences

Definition at line 77 of file fbxtypes.h.

typedef unsigned int FbxUInt32

Search for all occurrences

Definition at line 78 of file fbxtypes.h.

typedef signed long long FbxInt64

Search for all occurrences

Definition at line 79 of file fbxtypes.h.

typedef unsigned long long FbxUInt64

Search for all occurrences

Definition at line 80 of file fbxtypes.h.

typedef signed long FbxLong

Search for all occurrences

Definition at line 87 of file fbxtypes.h.

typedef unsigned long FbxULong

Search for all occurrences

Definition at line 88 of file fbxtypes.h.

typedef FbxInt64 FbxLongLong

Search for all occurrences

Definition at line 90 of file fbxtypes.h.

typedef FbxUInt64 FbxULongLong

Search for all occurrences

Definition at line 91 of file fbxtypes.h.

typedef FbxLong* FbxLongPtr

Search for all occurrences

Definition at line 93 of file fbxtypes.h.

typedef FbxULong* FbxULongPtr

Search for all occurrences

Definition at line 94 of file fbxtypes.h.

typedef FbxLongLong* FbxLongLongPtr

Search for all occurrences

Definition at line 95 of file fbxtypes.h.

typedef FbxULongLong* FbxULongLongPtr

Search for all occurrences

Definition at line 96 of file fbxtypes.h.

typedef FbxVectorTemplate2<FbxDouble> FbxDouble2

Search for all occurrences

Definition at line 246 of file fbxtypes.h.

typedef FbxVectorTemplate3<FbxDouble> FbxDouble3

Search for all occurrences

Examples:
  Animation/main.cxx, ExportDocument/main.cxx, ExportScene03/main.cxx, ExportScene04/main.cxx, Layers/main.cxx, and UserProperties/main.cxx.

Definition at line 247 of file fbxtypes.h.

typedef FbxVectorTemplate4<FbxDouble> FbxDouble4

Search for all occurrences

Definition at line 248 of file fbxtypes.h.

typedef FbxVectorTemplate4<FbxDouble4> FbxDouble4x4

Search for all occurrences

Definition at line 249 of file fbxtypes.h.

## Function Documentation

const FbxChar FbxMin | ( | const FbxChar & |  | ) | `[inline]`

Search for all occurrences

Definition at line 152 of file fbxtypes.h.

    { return FBXSDK_CHAR_MIN; }

const FbxUChar FbxMin | ( | const FbxUChar & |  | ) | `[inline]`

Search for all occurrences

Definition at line 153 of file fbxtypes.h.

    { return FBXSDK_UCHAR_MIN; }

const FbxShort FbxMin | ( | const FbxShort & |  | ) | `[inline]`

Search for all occurrences

Definition at line 154 of file fbxtypes.h.

    { return FBXSDK_SHORT_MIN; }

const FbxUShort FbxMin | ( | const FbxUShort & |  | ) | `[inline]`

Search for all occurrences

Definition at line 155 of file fbxtypes.h.

    { return FBXSDK_USHORT_MIN; }

const FbxInt FbxMin | ( | const FbxInt & |  | ) | `[inline]`

Search for all occurrences

Definition at line 156 of file fbxtypes.h.

    { return FBXSDK_INT_MIN; }

const FbxUInt FbxMin | ( | const FbxUInt & |  | ) | `[inline]`

Search for all occurrences

Definition at line 157 of file fbxtypes.h.

    { return FBXSDK_UINT_MIN; }

const FbxLongLong FbxMin | ( | const FbxLongLong & |  | ) | `[inline]`

Search for all occurrences

Definition at line 158 of file fbxtypes.h.

    { return FBXSDK_LONGLONG_MIN; }

const FbxULongLong FbxMin | ( | const FbxULongLong & |  | ) | `[inline]`

Search for all occurrences

Definition at line 159 of file fbxtypes.h.

    { return FBXSDK_ULONGLONG_MIN; }

const FbxFloat FbxMin | ( | const FbxFloat & |  | ) | `[inline]`

Search for all occurrences

Definition at line 160 of file fbxtypes.h.

    { return FBXSDK_FLOAT_MIN; }

const FbxDouble FbxMin | ( | const FbxDouble & |  | ) | `[inline]`

Search for all occurrences

Definition at line 161 of file fbxtypes.h.

    { return FBXSDK_DOUBLE_MIN; }

const FbxChar FbxMax | ( | const FbxChar & |  | ) | `[inline]`

Search for all occurrences

Definition at line 163 of file fbxtypes.h.

    { return FBXSDK_CHAR_MAX; }

const FbxUChar FbxMax | ( | const FbxUChar & |  | ) | `[inline]`

Search for all occurrences

Definition at line 164 of file fbxtypes.h.

    { return FBXSDK_UCHAR_MAX; }

const FbxShort FbxMax | ( | const FbxShort & |  | ) | `[inline]`

Search for all occurrences

Definition at line 165 of file fbxtypes.h.

    { return FBXSDK_SHORT_MAX; }

const FbxUShort FbxMax | ( | const FbxUShort & |  | ) | `[inline]`

Search for all occurrences

Definition at line 166 of file fbxtypes.h.

    { return FBXSDK_USHORT_MAX; }

const FbxInt FbxMax | ( | const FbxInt & |  | ) | `[inline]`

Search for all occurrences

Definition at line 167 of file fbxtypes.h.

    { return FBXSDK_INT_MAX; }

const FbxUInt FbxMax | ( | const FbxUInt & |  | ) | `[inline]`

Search for all occurrences

Definition at line 168 of file fbxtypes.h.

    { return FBXSDK_UINT_MAX; }

const FbxLongLong FbxMax | ( | const FbxLongLong & |  | ) | `[inline]`

Search for all occurrences

Definition at line 169 of file fbxtypes.h.

    { return FBXSDK_LONGLONG_MAX; }

const FbxULongLong FbxMax | ( | const FbxULongLong & |  | ) | `[inline]`

Search for all occurrences

Definition at line 170 of file fbxtypes.h.

    { return FBXSDK_ULONGLONG_MAX; }

const FbxFloat FbxMax | ( | const FbxFloat & |  | ) | `[inline]`

Search for all occurrences

Definition at line 171 of file fbxtypes.h.

    { return FBXSDK_FLOAT_MAX; }

const FbxDouble FbxMax | ( | const FbxDouble & |  | ) | `[inline]`

Search for all occurrences

Definition at line 172 of file fbxtypes.h.

    { return FBXSDK_DOUBLE_MAX; }

const FbxLong FbxMin | ( | const FbxLong & |  | ) | `[inline]`

Search for all occurrences

Definition at line 175 of file fbxtypes.h.

    { return FBXSDK_LONG_MIN; }

const FbxULong FbxMin | ( | const FbxULong & |  | ) | `[inline]`

Search for all occurrences

Definition at line 176 of file fbxtypes.h.

    { return FBXSDK_ULONG_MIN; }

const FbxLong FbxMax | ( | const FbxLong & |  | ) | `[inline]`

Search for all occurrences

Definition at line 177 of file fbxtypes.h.

    { return FBXSDK_LONG_MAX; }

const FbxULong FbxMax | ( | const FbxULong & |  | ) | `[inline]`

Search for all occurrences

Definition at line 178 of file fbxtypes.h.

    { return FBXSDK_ULONG_MAX; }

const T FbxMin | ( | const T & |  | ) | `[inline]`

Search for all occurrences

Definition at line 181 of file fbxtypes.h.

    {};

const T FbxMax | ( | const T & |  | ) | `[inline]`

Search for all occurrences

Definition at line 182 of file fbxtypes.h.

    {};

const T FbxMin | ( | const T & | x,
|  | const T & | y
| ) |  | `[inline]`

Search for all occurrences

Definition at line 183 of file fbxtypes.h.

    { return (x < y) ? x : y; }

const T FbxMax | ( | const T & | x,
|  | const T & | y
| ) |  | `[inline]`

Search for all occurrences

Definition at line 184 of file fbxtypes.h.

    { return (x > y) ? x : y; }